#dynamic-mask{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
	z-index: 5;
	opacity: 0;
	visibility: hidden;
	transition: .4s;
}

#dynamic-mask.active{
	opacity: 1;
	visibility: visible;
}
.dynamic-sides{
	position: fixed;
	padding: 1rem;
	padding-top: calc(60px + 1rem);
	background-color: white;
    z-index: 11;
    width: 100%;
    transition: .4s;
}

@media (max-height: 450px){
	.dynamic-sides{
		height: 100%;
	}
}

/* Dynamic Side Menu */
#dynamicMenu{
	top: -100%;
	left: 0;
	opacity: 0;
	visibility: hidden;
}
#dynamicMenu.active{
	top: 0;
	opacity: 1;
	visibility: visible;
}

.js-dynamic-close{
	display: flex;
	align-items: center;
	column-gap: .5rem;
	font-size: 12px;
	font-weight: 700;
	text-decoration: none;
}

.js-dynamic-close img{
	width:  12px;
	height: 12px;
	object-fit: contain;
	transition: .4s;
}

.js-dynamic-close:hover img{
	transform: rotate(180deg);
}

#dynamicMenu .footer-info-bottom{
	border-bottom: 0;
	padding-bottom: 0;
}

/* Dynamic Side Search */
#dynamicSearch{
    top: -100%;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: 100%;
    height: fit-content;
    bottom: auto;
    background-color: white;
    padding: 2rem 0;
    transition: .4s;
    z-index: 13;
}
#dynamicSearch.active{
    top: 0;
}

.form-search{
	position: relative;
}

.form-search .btn-apply{
	position: absolute;
	top: 0;
	left: 0;
	height: 48px;
	width: 48px;
	will-change: transform;
}

.form-search .btn-apply:hover{
	transform: scale(1.1);
}

.form-search input{
    height: 48px;
    border-radius: 28px;
    border: 1px solid #D6D6D6;
    padding: .5rem 1rem .5rem 50px;
    font-size: 14px;
    width: 100%;
    transition: .4s;
}

.form-search input:focus{
    /*box-shadow: 0 0 0 .25rem rgba(204, 204, 204, .5);*/
    box-shadow: none;
    outline: none;
}

@media (max-width: 579px){
	#dynamicSearch{
		top: -200%;
	}
}

/* Dynamic Collection Filter */
@media (max-width: 920px){
	#dynamicFilters{
		left: -50%;
		width: 50%;
		margin-top: 48px;
		height: calc(100% - 48px);
		z-index: 10;
	}
	
	#dynamicFilters.active{
		left: 0;
	}
}

@media (max-width: 579px){
	#dynamicFilters{
		left: -100%;
		width: 85%;
	}
}

/* Dynamic Compare */
#dynamicCompare{
    top: auto;
    bottom: -100%;
    box-shadow: 0 0 8px 0px rgba(0, 0, 0, .15);
}
#dynamicCompare.active{
    bottom: 0;
}
#dynamicCompare.dynamic-sides{
    padding-top: 1rem;
}
